Page MenuHomePhabricator

item not found / invalid id exception from Special:EnitityData should not be logged
Closed, ResolvedPublic

Description

Item not found exception from Special:EnitityData should not be logged.

Example:

  1. https://www.wikidata.org/wiki/Special:EntityData/Q6069113.json

No entity with ID Q16537768 was found.

#0 /srv/mediawiki/php-1.25wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/LinkedData/EntityDataRequestHandler.php(372): Wikibase\Repo\LinkedData\EntityDataRequestHandler->getEntityRevision()
#1 /srv/mediawiki/php-1.25wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/LinkedData/EntityDataRequestHandler.php(226): Wikibase\Repo\LinkedData\EntityDataRequestHandler->showData()
#2 /srv/mediawiki/php-1.25wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/specials/SpecialEntityData.php(154): Wikibase\Repo\LinkedData\EntityDataRequestHandler->handleRequest()
#3 /srv/mediawiki/php-1.25wmf9/includes/specialpage/SpecialPage.php(363): Wikibase\Repo\Specials\SpecialEntityData->execute()
#4 /srv/mediawiki/php-1.25wmf9/includes/specialpage/SpecialPageFactory.php(589): SpecialPage->run()
#5 /srv/mediawiki/php-1.25wmf9/includes/MediaWiki.php(275): SpecialPageFactory::executePath()
#6 /srv/mediawiki/php-1.25wmf9/includes/MediaWiki.php(584): MediaWiki->performRequest()
#7 /srv/mediawiki/php-1.25wmf9/includes/MediaWiki.php(435): MediaWiki->main()
#8 /srv/mediawiki/php-1.25wmf9/index.php(46): MediaWiki->run()
#9 /srv/mediawiki/w/index.php(3): include()
#10 {main}
  1. https://www.wikidata.org/wiki/Special:EntityData/Q1985727Precision11Before0After0

Invalid ID: Q1985727Precision11Before0After0.

#0 /srv/mediawiki/php-1.25wmf9/extensions/Wikidata/extensions/Wikibase/repo/includes/specials/SpecialEntityData.php(154): Wikibase\Repo\LinkedData\EntityDataRequestHandler->handleRequest('Q1985727Precisi...', Object(WebRequest), Object(OutputPage))
#1 /srv/mediawiki/php-1.25wmf9/includes/specialpage/SpecialPage.php(363): Wikibase\Repo\Specials\SpecialEntityData->execute('Q1985727Precisi...')
#2 /srv/mediawiki/php-1.25wmf9/includes/specialpage/SpecialPageFactory.php(589): SpecialPage->run('Q1985727Precisi...')
#3 /srv/mediawiki/php-1.25wmf9/includes/MediaWiki.php(275): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#4 /srv/mediawiki/php-1.25wmf9/includes/MediaWiki.php(584): MediaWiki->performRequest()
#5 /srv/mediawiki/php-1.25wmf9/includes/MediaWiki.php(435): MediaWiki->main()
#6 /srv/mediawiki/php-1.25wmf9/index.php(46): MediaWiki->run()
#7 /srv/mediawiki/w/index.php(3): require('/srv/mediawiki/...')
#8 {main}

Details

Related Gerrit Patches:

Event Timeline

JanZerebecki assigned this task to Wikidata-bugs.
JanZerebecki raised the priority of this task from to High.
JanZerebecki updated the task description. (Show Details)
JanZerebecki changed Security from none to None.
JanZerebecki added a subscriber: JanZerebecki.
JanZerebecki renamed this task from item not found exception from Special:EnitityData should not be logged to item not found / invalid id exception from Special:EnitityData should not be logged.Dec 2 2014, 12:47 PM
JanZerebecki updated the task description. (Show Details)

Change 182750 had a related patch set uploaded (by Hoo man):
Don't log HttpErrors targeted at SpecialEntityData

https://gerrit.wikimedia.org/r/182750

Patch-For-Review

hoo added a subscriber: hoo.Jan 4 2015, 11:07 PM

These are hitting us at 500-700+ per minute since approx. January 2nd now!

Change 182822 had a related patch set uploaded (by Hoo man):
Introduce an UnloggedHttpError and use it in EntityDataRequestHandler

https://gerrit.wikimedia.org/r/182822

Patch-For-Review

Change 182823 had a related patch set uploaded (by Hoo man):
Introduce an UnloggedHttpError and use it in EntityDataRequestHandler

https://gerrit.wikimedia.org/r/182823

Patch-For-Review

hoo closed this task as Resolved.Jan 5 2015, 4:22 PM

Change 182750 merged by jenkins-bot:
Introduce an UnloggedHttpError and use it in EntityDataRequestHandler

https://gerrit.wikimedia.org/r/182750

Change 182823 merged by jenkins-bot:
Introduce an UnloggedHttpError and use it in EntityDataRequestHandler

https://gerrit.wikimedia.org/r/182823

Change 182822 merged by jenkins-bot:
Introduce an UnloggedHttpError and use it in EntityDataRequestHandler

https://gerrit.wikimedia.org/r/182822

Change 201918 had a related patch set uploaded (by Hoo man):
Revert "Introduce an UnloggedHttpError and use it in EntityDataRequestHandler"

https://gerrit.wikimedia.org/r/201918

Change 201918 merged by jenkins-bot:
Revert "Introduce an UnloggedHttpError and use it in EntityDataRequestHandler"

https://gerrit.wikimedia.org/r/201918